### Hierarchy

- SearchRequestRepository

### Implemented by

- SearchRequestRepositoryImpl

## Index

### Methods

- clone
- create
- deleteById
- getAllSearchRequests
- getSearchRequestByOwner
- getSearchRequestByOwnerAndId
- getSearchRequestsByOwnerAndTag
- update

## Methods

### clone

- clone(owner: string, searchRequest: SearchRequest): Promise<SearchRequest>

- - Defined in repository/search/SearchRequestRepository.ts:9

  #### Parameters

  - ##### owner: string

  - ##### searchRequest: SearchRequest

  #### Returns Promise<SearchRequest>

### create

- create(owner: string, searchRequest: SearchRequest): Promise<SearchRequest>

- - Defined in repository/search/SearchRequestRepository.ts:5

  #### Parameters

  - ##### owner: string

  - ##### searchRequest: SearchRequest

  #### Returns Promise<SearchRequest>

### deleteById

- deleteById(owner: string, id: number): Promise<number>

- - Defined in repository/search/SearchRequestRepository.ts:11

  #### Parameters

  - ##### owner: string

  - ##### id: number

  #### Returns Promise<number>

### getAllSearchRequests

- getAllSearchRequests(): Promise<Array<SearchRequest>>

- - Defined in repository/search/SearchRequestRepository.ts:17

  #### Returns Promise<Array<SearchRequest>>

### getSearchRequestByOwner

- getSearchRequestByOwner(owner: string): Promise<Array<SearchRequest>>

- - Defined in repository/search/SearchRequestRepository.ts:15

  #### Parameters

  - ##### owner: string

  #### Returns Promise<Array<SearchRequest>>

### getSearchRequestByOwnerAndId

- getSearchRequestByOwnerAndId(owner: string, id: number): Promise<Array<SearchRequest>>

- - Defined in repository/search/SearchRequestRepository.ts:13

  #### Parameters

  - ##### owner: string

  - ##### id: number

  #### Returns Promise<Array<SearchRequest>>

### getSearchRequestsByOwnerAndTag

- getSearchRequestsByOwnerAndTag(owner: string, tag: string): Promise<Array<SearchRequest>>

- - Defined in repository/search/SearchRequestRepository.ts:19

  #### Parameters

  - ##### owner: string

  - ##### tag: string

  #### Returns Promise<Array<SearchRequest>>

### update

- update(owner: string, id: number, searchRequest: SearchRequest): Promise<SearchRequest>

- - Defined in repository/search/SearchRequestRepository.ts:7

  #### Parameters

  - ##### owner: string

  - ##### id: number

  - ##### searchRequest: SearchRequest

  #### Returns Promise<SearchRequest>

Generated using TypeDoc